<?php

class push extends CI_Controller
{
	public function __construct()
	{
		parent::__construct();
		$this->load->language('plugin_huawei');
		$this->load->Model ( 'common' );
		
		$this->common->requireLogin ();
		$this->load->Model ( 'pluginM' );
		$this->load->model ( 'point_mark' );
		$this->load->model('tag/tagmodel','tag');
	}

	public function index() {
	
		$apptitle = $_POST['apptitle'];
		$appcontent = $_POST['appcontent'];
		$appdoings = $_POST['pushType'];
		$productid = $_POST['productid'];
		$packagename = $_POST['packagename'];
		$msgtype = $_POST['msgtype'];
		$appkey = $_POST['appkey'];
		$userKey = $_POST ['userKey'];
		$userSecret = $_POST ['userSecret'];
		$tagvalue = $_POST ['tagvalue'];
		$offlined = $_POST ['offlineTime'];
		$urladdress = $_POST ['urladdress'];
		$md5 = md5 ( time () );
		
		$flag = true;
		$i = 0;
		while ( $flag ) {
			$devicelist = $this->tag->getDeviceidList ( $productid, $tagvalue, $i, 1000 );
			$resarr = $devicelist->result_array ();
			$arrstr = $this->onDodevice ( $resarr );	
			$data ['device_token_list'] = json_encode ( $arrstr );
			$data ['app_key'] = $appkey;
			$data ['tag'] = $tagvalue;
			$data ['priority'] = 0;
			$data ['cache_mode'] = 0;
			$data ['msg_type'] = $msgtype;
			$data ['expire_time'] = $offlined;
			$data ['package_name'] = $packagename;
			$data ['title'] = $apptitle;
			$data ['content'] = $appcontent;
			$data ['doings'] = $appdoings;
			$data ['md'] = $md5;
			$data['userKey'] = $userKey;
			$data['userSecret']= $userSecret;
			
			$push_time = date ( "Y-m-d H:i" );
			
			$result = $this->common->curl_post ( SERVER_BASE_URL . '/index.php?/plugins/hwpush/batchsend', $data );
			
			if ($resarr || count ( $resarr ) < 1000) {
				$flag = false;
			}
			$i = $i + 1;
		}
		
		$resu = json_decode ( $result );
		
		if ($resu->result == 'ok') {
			$res = array (
					'flag' => 1,
					'msg' => $resu->msg 
			);
		} else {
			$res = array (
					'flag' => 0,
					'msg' => $resu->msg 
			);
		}
		
		echo json_encode ( $res );
	}
	
	/*
	 * array change ;
	 * Array
	 *	([0] => Array([deviceidentifier] => 354953055638243)
     *	 [1] => Array([deviceidentifier] => 354953055638244)
	 *	)
	 *	Array
	 *	([0] => 354953055638243
 	 *	 [1] => 354953055638244
	 *	)
	 */
	function onDodevice($arrayData) {
		$arr = array ();
		for($i=0;$i<count($arrayData);$i++){
			array_push( $arr, $arrayData[$i]['deviceidentifier']);
		}
		return $arr;
	}
	
	function indextest_md5() {
		
		$apptitle = $_POST ['apptitle'];
		$appcontent = $_POST ['appcontent'];
		$packagename = $_POST ['packagename'];
		
		$md = md5 ( time () );
		
		$flag = true;
		$i = 0;
		while ( $flag ) {
			$data ['package_name'] = $packagename;
			$data ['title'] = $apptitle;
			$data ['content'] = $appcontent;
			$data ['md'] = $md;
			
			$push_time = date ( "Y-m-d H:i" );
			log_message ( "debug", "---推送时间：$push_time----" . $md."===" );
			$this->common->curl_post ( SERVER_BASE_URL . '/index.php?/plugins/hwpush/test', $data );
			
			if ($i > 10) {
				$flag = false;
			}
			$i = $i + 1;
		}
		
		$res = array (
				'flag' => 0,
				'msg' => "push test" 
		);
		
		echo json_encode ( $res );
	
	}

}
	
?>