<?php
require_once dirname ( dirname ( dirname ( __FILE__ ) ) ) . "/plugin/pluginInterface.php";
class Huaweipush  extends CI_Model implements pluginInterface {

	function __construct() {
		$this->load->language('plugin_huawei');
		
	}
	
	function getPluginInfo() {
		return array (
				'identifier' => 'huaweipush',
				'name' => lang('huawei'),
				'level' => 1,
				'description' => lang('huawei_description'),
				'version' => '0.1',
				'date' => '2013-11-30',
				'provider' => lang('huawei_provider'),
				'provider_url' => lang('huawei_provider_url'),
				'detail'=> lang('huawei_detail_url'),
				'menus' => $this->getMenus () 
		);
	}

	function getMenus() {

        $menus = array();    

        $menuHome = array(
        	'name'=>lang('huawei_homepage'),
        	'link'=>'/plugin/huawei/applist',
        	'level1'=>true,
        	'level2'=>false
        	);

        array_push($menus,$menuHome);

         $menuPush = array(
        	'name'=>lang('huawei_report'),
        	'link'=>'/plugin/huawei/huaweiapplist',
        	'level1'=>true,
        	'level2'=>false
        	);
        array_push($menus,$menuPush);
        $menuRet = array(
        	'title' => lang('huawei'),
        	'menus' => $menus
        	);

		return $menuRet;
	}

}

?>

