<section class="column" id="main" style='height: 1500px;'>
	<?php if(isset($timeerror)):?>
	<h4 class="alert_warning" id="timemsg"><?php echo $timeerror;?></h4>
	<?php endif;?>
	
	<article class="module width_full">
		<header>
			<h3 class="h3_fontstyle">		
	<?php  echo lang('huawei_data'); ?></h3>
			<ul class="tabs2">
				<li><a id='userreport' href="javascript:chooseType('userreport')"><?php echo lang('huawei_users');?></a></li>
				<li><a id='msgreport' href="javascript:chooseType('msgreport')"><?php echo lang('huawei_messages');?></a></li>
		
		</header>
		<div class="module_content">
			<div id="container" class="module_content" style="height: 300px"></div>
		</div>

		<div class="module_content">
			<input type="hidden" id='appid' name="appid"
				value="<?php if(isset($appid)) echo $appid;?>" /> <input
				type="hidden" id='packagename' name="packagename"
				value="<?php if(isset($packagename)) echo $packagename;?>" />
		</div>

	</article>

	<article class="module width_full">
		<header>
			<h3 class="h3_fontstyle"><?php   echo '四日内推送记录' ?></h3>
		</header>
		<table class="tablesorter" cellspacing="0">
			<thead>
				<tr>
					<th><?php  echo '标题';?></th>
					<th><?php  echo "内容";?></th>
					<th><?php  echo "时间";?></th>
					<th><?php  echo "推送类型";?></th>
					<th><?php  echo "操作";?></th>
				</tr>
			</thead>

			<tbody id='fourtbody'>
			<?php if( isset($fourrecords) ) $fournum = count($fourrecords); else $fournum=0;?>	
			</tbody>
		</table>

		<footer>
			<div id="fourpagination" class="submit_link"></div>
		</footer>

	</article>

	<article class="module width_full">
		<header>
			<h3 class="h3_fontstyle"><?php   echo '用户数报表' ?></h3>
		</header>
		<table class="tablesorter" cellspacing="0">
			<thead>
				<tr>
					<th><?php  echo '日期';?></th>
					<th><?php  echo "用户数";?></th>
					<th><?php  echo "新增";?></th>
					<th><?php  echo "流失用户数";?></th>
					<th><?php  echo "净增用户是";?></th>
				</tr>
			</thead>

			<tbody id='usertbody'>
				<?php if( isset($userrecords) ) $usernum = count($userrecords);else $usernum=0; ?>	
			</tbody>

		</table>
		<footer>
			<div id="userpagination" class="submit_link"></div>
		</footer>

	</article>

	<article class="module width_full">
		<header>
			<h3 class="h3_fontstyle"><?php   echo '消息数报表' ?></h3>
		</header>
		<table class="tablesorter" cellspacing="0">
			<thead>
				<tr>
					<th><?php  echo '日期';?></th>
					<th><?php  echo "消息总数";?></th>
					<th><?php  echo "成功数";?></th>
					<th><?php  echo "覆盖数";?></th>
					<th><?php  echo "过期数";?></th>
					<th><?php  echo "缓存数";?></th>
				</tr>
			</thead>

			<tbody id='msgtbody'>
				<?php if( isset($msgrecords) ) $msgnum = count($msgrecords);else $msgnum=0;?>	
			</tbody>

		</table>

		<footer>
			<div id="msgpagination" class="submit_link"></div>
		</footer>
	</article>

</section>

<script type="text/javascript">
$(document).ready(function() {
	initPagination();
	pageselectCallback(0,null);
});
var fourdevice = eval(<?php if(isset($fourrecords)) echo "'".json_encode($fourrecords)."'"?>);

function pageselectCallback(page_index, jq){
	page_index = arguments[0] ? arguments[0] : "0";
	jq = arguments[1] ? arguments[1] : "0";   
	var index = page_index*<?php echo PAGE_NUMS?>;
	var pagenum = <?php echo PAGE_NUMS?>;	

	//alert(fourdevice.length);
	var str="";
	if( fourdevice != null)
	{
		for(var i=0;i<pagenum && (index+i)<fourdevice.length ;i++)
		{
			//alert(fourdevice[index+i].push_title);
			str = str+"<tr><td>"+fourdevice[index+i].push_title+
			"</td><td>"+fourdevice[index+i].push_content+
			"</td><td>"+fourdevice[index+i].push_time+
			"</td><td>"+fourdevice[index+i].push_type+
			"</td><td><a href='<?php echo site_url()?>/plugin/huawei/report/getrecorddata?appid="+
			"<?php if(isset($appid)) echo $appid;?>"+"&recordid="+fourdevice[index+i].recordid+
			"'>详细</a></td></tr>";	
		}
	}
	
   //document.getElementById('devicepageinfo').innerHTML = msg;
	   $('#fourtbody').html(str);				
   return false;
}

/** 
 * Callback function for the AJAX content loader.
 */
function initPagination() {
	
   var num_entries = <?php if(isset($fournum)) echo $fournum; ?>/<?php echo PAGE_NUMS;?>;
   
    // Create fourpagination element
    $("#fourpagination").pagination(num_entries, {
        num_edge_entries: 2,
        prev_text: '<?php echo  lang('g_previousPage')?>',
        next_text: '<?php echo  lang('g_nextPage')?>',           
        num_display_entries: 4,
        callback: pageselectCallback,
        items_per_page:1
    });
 }
        
</script>

<script type="text/javascript">
$(document).ready(function() {
	userinitPagination();
	userpageselectCallback(0,null);
});
var userdevice = eval(<?php if( isset($userrecords) ) echo "'".json_encode($userrecords)."'"?>);

function userpageselectCallback(page_index, jq){
	page_index = arguments[0] ? arguments[0] : "0";
	jq = arguments[1] ? arguments[1] : "0";   
	var index = page_index*<?php echo PAGE_NUMS?>;
	var pagenum = <?php echo PAGE_NUMS?>;	

	//alert(fourdevice.length);
	var str="";
	if( userdevice != null )
	{
		for(var i=0;i<pagenum && (index+i)<userdevice.length ;i++)
		{
			//alert(fourdevice[index+i].push_title);
			str = str+"<tr><td>"+userdevice[index+i].datetime+
			"</td><td>"+userdevice[index+i].user_all+
			"</td><td>"+userdevice[index+i].user_add+
			"</td><td>"+userdevice[index+i].user_lose+
			"</td><td>"+userdevice[index+i].user_netadd+"</td></tr>";	
		}
	}
	
   //document.getElementById('devicepageinfo').innerHTML = msg;
	   $('#usertbody').html(str);				
   return false;
}

/** 
 * Callback function for the AJAX content loader.
 */
function userinitPagination() {
	
   var num_entries = <?php if(isset($usernum)) echo $usernum; ?>/<?php echo PAGE_NUMS;?>;
   
    // Create fourpagination element
    $("#userpagination").pagination(num_entries, {
        num_edge_entries: 2,
        prev_text: '<?php echo  lang('g_previousPage')?>',
        next_text: '<?php echo  lang('g_nextPage')?>',           
        num_display_entries: 4,
        callback: userpageselectCallback,
        items_per_page:1
    });
 }
        
</script>

<script type="text/javascript">
$(document).ready(function() {
	msginitPagination();
	msgpageselectCallback(0,null);
});
var msgdevice = eval(<?php if( isset($msgrecords) ) echo "'".json_encode($msgrecords)."'"?>);

function msgpageselectCallback(page_index, jq){
	page_index = arguments[0] ? arguments[0] : "0";
	jq = arguments[1] ? arguments[1] : "0";   
	var index = page_index*<?php echo PAGE_NUMS?>;
	var pagenum = <?php echo PAGE_NUMS?>;	
	//alert(fourdevice.length);
	
	var str="";
	if(msgdevice != null)
	{
		for(var i=0;i<pagenum && (index+i)<msgdevice.length ;i++)
		{
			//alert(fourdevice[index+i].push_title);
			str = str+"<tr><td>"+msgdevice[index+i].datetime+
			"</td><td>"+msgdevice[index+i].msgAll+
			"</td><td>"+msgdevice[index+i].success+
			"</td><td>"+msgdevice[index+i].cover+
			"</td><td>"+msgdevice[index+i].toBeSend+"</td></tr>";	
		}
	}
	
   //document.getElementById('devicepageinfo').innerHTML = msg;
	   $('#msgtbody').html(str);				
   return false;
}

/** 
 * Callback function for the AJAX content loader.
 */
function msginitPagination() {
	
   var num_entries = <?php if(isset($msgnum)) echo $msgnum; ?>/<?php echo PAGE_NUMS;?>;
   
    // Create fourpagination element
    $("#msgpagination").pagination(num_entries, {
        num_edge_entries: 2,
        prev_text: '<?php echo  lang('g_previousPage')?>',
        next_text: '<?php echo  lang('g_nextPage')?>',           
        num_display_entries: 4,
        callback: msgpageselectCallback,
        items_per_page:1
    });
 }
        
</script>

<script type="text/javascript">
$(".tab_content").hide(); //Hide all content
$("ul.tabs2 li:first").addClass("active").show(); //Activate first tab
$(".tab_content:first").show(); //Show first tab content

//On Click Event
$("ul.tabs2 li").click(function() {
	$("ul.tabs2 li").removeClass("active"); //Remove any "active" class
	$(this).addClass("active"); //Add "active" class to selected tab
	var activeTab = $(this).find("a").attr("ct"); //Find the href attribute value to identify the active tab + content
	$('#'+activeTab).fadeIn(); //Fade in the active ID content
	return true;
});
</script>



<script type="text/javascript">
////user report begin
var dataofuser=[];
var userpage=0;
//$(document).ready(function()
function userreport()
{
	
	var packagename=document.getElementById('packagename').value;
	var myurl="<?php echo site_url();?>/plugin/huawei/report/getUserReport?packagename="+packagename;
	//alert(myurl);
	jQuery.getJSON(myurl, null, function(userdata) {
		dataofuser = userdata;
		var tbody = document.getElementById('usertbody');
		var str="";
//		alert(userdata);
		for(var i=0;i<userdata.records.length&& i<10;i++){
			str = str+"<tr><td>"+userdata.records[i].datetime+
			"</td><td>"+userdata.records[i].user_all+
			"</td><td>"+userdata.records[i].user_add+
			"</td><td>"+userdata.records[i].user_lose+
			"</td><td>"+userdata.records[i].user_netadd+"</td></tr>";		
		}
		tbody.innerHTML=str;
		var papgenum = document.getElementById('userpagenum');
		papgenum.innerHTML=userpage+1;
	});
}
//});

function usernextpage()
{
	var tbody = document.getElementById('usertbody');
	var str="";
	var j=0;
	userpage++;
	if(userpage>=dataofuser.records.length/10){
		userpage= parseInt(dataofuser.records.length/10);
		return;
	}
	for(var i=userpage*10;i<dataofuser.records.length && j<10;i++){
		str = str+"<tr><td>"+dataofuser.records[i].datetime+
		"</td><td>"+dataofuser.records[i].user_all+
		"</td><td>"+dataofuser.records[i].user_add+
		"</td><td>"+dataofuser.records[i].user_lose+
		"</td><td>"+dataofuser.records[i].user_netadd+"</td></tr>";
		j++;
	}
	tbody.innerHTML=str;
	var papgenum = document.getElementById('userpagenum');
	papgenum.innerHTML=userpage+1;
}
function userperpage(){
	if(userpage<=0){
		userpage=0;
		return;
	}
	userpage--;
	var tbody = document.getElementById('usertbody');
	var str="";
	var j=0
	for(var i=userpage*10;i<dataofuser.records.length && j<10;i++){
		str = str+"<tr><td>"+dataofuser.records[i].datetime+
		"</td><td>"+dataofuser.records[i].user_all+
		"</td><td>"+dataofuser.records[i].user_add+
		"</td><td>"+dataofuser.records[i].user_lose+
		"</td><td>"+dataofuser.records[i].user_netadd+"</td></tr>";
		j++;
	}
	tbody.innerHTML=str;
	var papgenum = document.getElementById('userpagenum');
	papgenum.innerHTML=userpage+1;
}
////user report end
</script>


<script type="text/javascript">
////message report begin
//datetime,msgAll,success, cover,timeOut,toBeSend
var dataofmsg=[];
var msgpage=0;
//$(document).ready(function(){
function msg()
{
	var packagename=document.getElementById('packagename').value;
	var myurl="<?php echo site_url();?>/plugin/huawei/report/getMessageReport?packagename="+packagename;
	//alert(myurl);
	jQuery.getJSON(myurl, null, function(msgdata) {
		dataofmsg = msgdata;
		var tbody = document.getElementById('messagetbody');
		var str="";
		for(var i=0;i<msgdata.records.length&& i<10;i++){
			str = str+"<tr><td>"+msgdata.records[i].datetime+
			"</td><td>"+msgdata.records[i].msgAll+
			"</td><td>"+msgdata.records[i].success+
			"</td><td>"+msgdata.records[i].cover+
			"</td><td>"+msgdata.records[i].timeOut+
			"</td><td>"+msgdata.records[i].toBeSend+"</td></tr>";		
		}
		tbody.innerHTML=str;
		var papgenum = document.getElementById('messagepagenum');
		papgenum.innerHTML=msgpage+1;
	});
}

//});

function messagenextpage()
{
	var tbody = document.getElementById('messagetbody');
	var str="";
	var j=0;
	msgpage++;
	if(msgpage>=dataofmsg.records.length/10){
		msgpage= parseInt(dataofmsg.records.length/10);
		return;
	}
	for(var i=msgpage*10;i<dataofmsg.records.length && j<10;i++){
			str = str+"<tr><td>"+dataofmsg.records[i].datetime+
			"</td><td>"+dataofmsg.records[i].msgAll+
			"</td><td>"+dataofmsg.records[i].success+
			"</td><td>"+dataofmsg.records[i].cover+
			"</td><td>"+dataofmsg.records[i].timeOut+
			"</td><td>"+dataofmsg.records[i].toBeSend+"</td></tr>";		
		j++;
	}
	tbody.innerHTML=str;
	var papgenum = document.getElementById('messagepagenum');
	papgenum.innerHTML=msgpage+1;
}
function messageperpage(){
	if(msgpage<=0){
		msgpage=0;
		return;
	}
	msgpage--;
	var tbody = document.getElementById('messagetbody');
	var str="";
	var j=0
	for(var i=msgpage*10;i<dataofmsg.records.length && j<10;i++){
		str = str+"<tr><td>"+dataofmsg.records[i].datetime+
		"</td><td>"+dataofmsg.records[i].msgAll+
		"</td><td>"+dataofmsg.records[i].success+
		"</td><td>"+dataofmsg.records[i].cover+
		"</td><td>"+dataofmsg.records[i].timeOut+
		"</td><td>"+dataofmsg.records[i].toBeSend+"</td></tr>";		
		j++;
	}
	tbody.innerHTML=str;
	var papgenum = document.getElementById('messagepagenum');
	papgenum.innerHTML=msgpage+1;
}

////message report end


////
var userreportdata=[];
var msgreportdata = [];
var categorieuser=[];
var categoriemsg=[];
var UserAll = [];
var UserAdd = [];
var UserLose = [];
var UserNetadd = [];
var msgAll = [];
var msgSuccess = [];
var msgCover = [];
var msgTimeOut = [];
var msgToBeSend = [];

var chart;
var options;
var msgoptions;
var type="userreport";
var chart_canvas;

$(document).ready(function() {	
	
	options = {
		            chart: {
		                renderTo: 'container',
		                type: 'spline'
		            },
		            title: {
		                text: ''
		            },
		            subtitle: {
		            	text: '<?php echo $reportTitle['timePase'] ?>'
			        },
		            xAxis: {
		                labels:{rotation:300,y:40,x:0}
		            },
		            yAxis: {
		                title: {
		                    text: ''
		                },
		                min:0,
		                labels: {
		                    formatter: function() {
		                        return Highcharts.numberFormat(this.value, 0);
		                    }
		                }
		            },
			        credits:{
						enabled:false
				        },
				    tooltip: {
				        crosshairs: true,
				        shared:false
				        
				    },
		            plotOptions: {
			            column: {
	                    showInLegend:false
	                	},
		                spline: {
		                    marker: {
		                        radius: 1,
		                        lineColor: '#666666',
		                        lineWidth: 1
		                    }
		                },series:{
		                	cursor:'pointer'
			                }
		            },
		            legend:{
		                labelFormatter: function() {
		                	return this.name
		                }
		             },
		             series: [{
		                 name: '',
		                 data: []
		             }, {
		                 name: '',
		                 data: []
		             }, {
		                 name: '',
		                 data: []
		             }, {
		                 name: '',
		                 data: []
		             }
		             ]
		        };

	msgoptions = {
            chart: {
                renderTo: 'container',
                type: 'spline'
            },
            title: {
                text: ''
            },
            subtitle: {
            	text: '<?php echo $reportTitle['timePase'] ?>'
	        },
            xAxis: {
                labels:{rotation:300,y:40,x:0}
            },
            yAxis: {
                title: {
                    text: ''
                },
                min:0,
                labels: {
                    formatter: function() {
                        return Highcharts.numberFormat(this.value, 0);
                    }
                }
            },
	        credits:{
				enabled:false
		        },
		    tooltip: {
		        crosshairs: true,
		        shared:false
		        
		    },
            plotOptions: {
	            column: {
                showInLegend:false
            	},
                spline: {
                    marker: {
                        radius: 1,
                        lineColor: '#666666',
                        lineWidth: 1
                    }
                },series:{
                	cursor:'pointer'
	                }
            },
            legend:{
                labelFormatter: function() {
                	return this.name
                }
             },
             series: [{
                 name: '',
                 data: []
             }, {
                 name: '',
                 data: []
             }, {
                 name: '',
                 data: []
             }, {
                 name: '',
                 data: []
             }, {
                 name: '',
                 data: []
             }
             ]
        };

	var loading_img = $("<img src='<?php echo base_url();?>/assets/images/loader.gif'/>");

	 chart_canvas  = $('#container');    
	 chart_canvas.block({
	        message: loading_img,
	        css:{
	            width:'32px',
	            border:'none',
	            background: 'none'
	        },
	        overlayCSS:{
	            backgroundColor: '#FFF',
	            opacity: 0.8
	        },
	        baseZ:997
	    });
	//renderCharts();

	var packagename=document.getElementById('packagename').value;  
	var myurluser="<?php echo site_url();?>/plugin/huawei/report/getData/?type=userreport&packagename="+packagename;	
	jQuery.getJSON(myurluser, null, function(datauser) {
		userreportdata=datauser; 
	    options.title.text = "<?php echo $reportTitle['UserReport'] ?>";
	    if(1 == datauser.flag ){
	          for(var i=0;i<datauser.records.length;i++){
		          
	        	  	categorieuser.push(datauser.records[i].datetime);
	        	  	
		           	UserAll.push(datauser.records[i].user_all);
		           	UserAdd.push(datauser.records[i].user_add);
		           	UserLose.push(datauser.records[i].user_lose);
		           	UserNetadd.push(datauser.records[i].user_netadd);
	          	 }
	          	options.series[0]={};
	          	options.series[0].name = "用户数";
	    		options.series[0].data = UserAll;
	    		options.series[1]={};
	    		options.series[1].name = "新增";
	    		options.series[1].data = UserAdd;
	    		options.series[2]={};
	    		options.series[2].name = "流失";
	    		options.series[2].data = UserLose;
	    		options.series[3]={};
	    		options.series[3].name = "净增";
	    		options.series[3].data = UserNetadd;
	    		
	    		options.xAxis.labels.step = parseInt(categorieuser.length/10);
	    		options.xAxis.categories = categorieuser;  
	    	  
	          chart = new Highcharts.Chart(options);
	          chart_canvas.unblock();
	    } 
	 }); 

	var myurlmsg="<?php echo site_url();?>/plugin/huawei/report/getData/?type=msgreport&packagename="+packagename;
	jQuery.getJSON(myurlmsg, null, function(datamsg) {
		msgreportdata=datamsg;
		//data = msgreportdata;
	    //options.title.text = "?php echo $reportTitle['MsgReport'] ?>";
	    if(1 == datamsg.flag ){
	          var categories=[];
	          for(var i=0;i<datamsg.records.length;i++){
	        	  	categoriemsg.push(datamsg.records[i].datetime);
		           	msgAll.push(datamsg.records[i].msgAll);
		           	msgSuccess.push(datamsg.records[i].success);
		           	msgCover.push(datamsg.records[i].cover);
		           	msgTimeOut.push(datamsg.records[i].timeOut);
		           	msgToBeSend.push(datamsg.records[i].toBeSend);
	          	 }
	          
	    } 		
	});  
	
});  
    
function renderCharts()
{
	 var loading_img = $("<img src='<?php echo base_url();?>/assets/images/loader.gif'/>");

	 chart_canvas  = $('#container');    
	 chart_canvas.block({
	        message: loading_img,
	        css:{
	            width:'32px',
	            border:'none',
	            background: 'none'
	        },
	        overlayCSS:{
	            backgroundColor: '#FFF',
	            opacity: 0.8
	        },
	        baseZ:997
	    });
	////user report
    if(type=='userreport'){
    	//options.series[0]={};
      	options.series[0].name = "用户数";
		options.series[0].data = UserAll;
		//options.series[1]={};
		options.series[1].name = "新增";
		options.series[1].data = UserAdd;
		//options.series[2]={};
		options.series[2].name = "流失";
		options.series[2].data = UserLose;
		//options.series[3]={};
		options.series[3].name = "净增";
		options.series[3].data = UserNetadd;
		
		options.xAxis.labels.step = parseInt(categorieuser.length/10);
		options.xAxis.categories = categorieuser; 
		options.title.text = "<?php echo $reportTitle['UserReport'] ?>"; 
	  
      chart = new Highcharts.Chart(options);
	    
	}
	////message report
	if(type=='msgreport'){
      	//options.series[0]={};
      	msgoptions.series[0].name = "消息总数";
      	msgoptions.series[0].data = msgAll;
		//options.series[1]={};
      	msgoptions.series[1].name = "成功";
      	msgoptions.series[1].data = msgSuccess;
		//options.series[2]={};
      	msgoptions.series[2].name = "覆盖";
      	msgoptions.series[2].data = msgCover;
		//options.series[3]={};
      	msgoptions.series[3].name = "过期";
      	msgoptions.series[3].data = msgTmeOut;
		//options.series[4]={};
      	msgoptions.series[4].name = "缓存";
      	msgoptions.series[4].data = msgToBeSend;
		
      	msgoptions.xAxis.labels.step = parseInt(categoriemsg.length/10);
      	msgoptions.xAxis.categories = categoriemsg; 
      	msgoptions.title.text = "<?php echo $reportTitle['MsgReport'] ?>"; 
	  
      chart = new Highcharts.Chart(msgoptions);
	    
	}
////message report end
} 

function chooseType(typereport)
    {  
    	////user report
        if(typereport=='userreport'){
        	//options.series[0]={};
          	options.series[0].name = "用户数";
    		options.series[0].data = UserAll;
    		//options.series[1]={};
    		options.series[1].name = "新增";
    		options.series[1].data = UserAdd;
    		//options.series[2]={};
    		options.series[2].name = "流失";
    		options.series[2].data = UserLose;
    		//options.series[3]={};
    		options.series[3].name = "净增";
    		options.series[3].data = UserNetadd;

    		//options.series[4].name = "";
    		//options.series[4].data = "";
    		
    		options.xAxis.labels.step = parseInt(categorieuser.length/10);
    		options.xAxis.categories = categorieuser; 
    		options.title.text = "<?php echo $reportTitle['UserReport'] ?>"; 
    	  
          chart = new Highcharts.Chart(options);
    	    
    	}
    	////message report
    	if(typereport=='msgreport'){
    		//options.series[0]={};
    		msgoptions.series[0].name = "消息总数";
    		msgoptions.series[0].data = msgAll;
    		//options.series[1]={};
    		msgoptions.series[1].name = "成功";
    		msgoptions.series[1].data = msgSuccess;
    		//options.series[2]={};
    		msgoptions.series[2].name = "覆盖";
    		msgoptions.series[2].data = msgCover;
    		//options.series[3]={};
    		msgoptions.series[3].name = "过期";
    		msgoptions.series[3].data = msgTimeOut;
    		msgoptions.series[4].name = "缓存";
    		msgoptions.series[4].data = msgToBeSend;

    		msgoptions.xAxis.labels.step = parseInt(categoriemsg.length/10);
    		msgoptions.xAxis.categories = categoriemsg; 
    		msgoptions.title.text = "<?php echo $reportTitle['MsgReport'] ?>"; 
    	  
          	chart = new Highcharts.Chart(msgoptions);
    		
    	    
    	}
 
    }
</script>


