<?php
class Huaweicl extends CI_Controller {
	
	private $data = array ();
	
	function __construct() {
		parent::__construct ();
		$this->load->language('plugin_huawei');
		$this->load->Model ( 'common' );
		$this->load->model('plugin/huawei/applistmodel','huaweimodel');
		$this->common->requireLogin ();
	
	}
	
	function index() {
		$productid=$_POST['product_id'];
		$tagtype = $_POST['tag_type']; 
		$tag = $_POST['tag_data'];
		$appinfo = $this->huaweimodel->getappinfo($productid);
		$app_key = $this->huaweimodel->getProductAppkey($productid);
		
		$uid=$this->common->getUserId();
		$userinfo = $this->huaweimodel->getUserinfo($uid);

		$appname = $appinfo [0] ['app_name'];
		$producrid = $appinfo [0] ['product_id'];
		$packagename = $appinfo [0] ['package_name'];
		$userKey = $userinfo[0]['user_key'];
		$userSecret = $userinfo[0]['user_secret'];
		$this->data ['userSecret'] = $userinfo[0]['user_secret'];
		$this->data ['userKey'] = $userinfo[0]['user_key'];
		$this->data ['appName'] = $appname;
		$this->data ['productID'] = $producrid;
		$this->data ['packageName'] = $packagename;
		$this->data ['appKey'] = $app_key;
		$this->data ['tagvalue'] = $tag;
		$this->data['tagtype']=0;
		$this->data['tagtype']=1;
		
		$this->common->loadHeader ( lang ( 'huawei' ) );
		$this->load->view ( 'plugin/huawei/pushview', $this->data );
	}

}

?>
