<?php 
class Activatemodel extends CI_Model 
{
	
	function __construct()
	{
		$this -> load -> database();
		$this -> load -> model('common');
	}
	
	function getUserKeys($userId)
	{
		$query = $this->db->query("select * from ".$this->db->dbprefix("userkeys")." where user_id = $userId");
		if($query && $query->num_rows()>0)
		{
			return $query->first_row();
		}
		return false;
	}
	
	function getProductId($product_name)
	{	
		$sql_productId = "select * from ". $this->db->dbprefix("product")." where name ="."'$product_name'";
	
		$query_productId = $this -> db -> query($sql_productId);
		
		if($query_productId != null && $query_productId->num_rows() > 0){
			$product_id =  $query_productId ->row() -> id;
			return $product_id;
		
		}else{
			return false;
		}
	}
	
	function getProductDescription($productID)
	{
		$table = $this->db->dbprefix("product");
		$this->db->from($table);
		$this->db->where('id',$productID);
		
		$query = $this -> db -> get();
	
		if($query != null && $query->num_rows() > 0){
			
			return $query->row() -> description;;
	
		}else{
			return null;
		}
	}
	
	function saveUsersInfo($obj)
	{
		if($this -> isAppActivated($obj['productID'])){
			return false;
		}else{
			$table = $this->db->dbprefix("huawei_product");
			$data = array(
					'app_name'=>$obj['appName'],
					'status'=>$obj['status'],
					'product_id'=>$obj['productID'],
					'package_name'=>$obj['packageName'],
					'create_time'=>$obj['developerUpdTime'],
					'user_id'=>$obj['userId'],
					'languages'=>$obj['languages']
					);
			
					$this->db->insert($table,$data);
					return $this->db->insert_id();	
		}
	}
	
	function getPackageName($productID)
	{
		$this->db->from($this->db->dbprefix('huawei_product'));
		$this->db->where("product_id",$productID);
		$query = $this->db->get();
		if($query && $query->num_rows()>0)
		{
			return $query->row()->package_name;
		}
		return false;
	}
	
	function updatePackage($obj)
	{
		if($this -> isAppActivated($obj['productID'])){
			//print_r('saveUsersInfo');
			$this->db->where('product_id',$obj['productID']);
			$table = $this->db->dbprefix("huawei_product");
			$data = array(
					'app_name'=>$obj['appName'],
					'status'=>$obj['status'],
					'product_id'=>$obj['productID'],
					'package_name'=>$obj['packageName'],
					'create_time'=>$obj['developerUpdTime'],
					'user_id'=>$obj['userId'],
					'languages'=>$obj['languages']
			);
			return $this->db->update($table,$data);
		}
		
		return false;
	}
	
	function updateAppinfo($obj)
	{
		$data = array(
				'status' => 2
		);
		$table = $this->db->dbprefix("huawei_product");
		$this->db->where('app_id',$obj['appID']);
		$this->db->update($table,$data);
	}
	
	function isAppActivated($productId)
	{
		$sql = "select * from ". $this->db->dbprefix("huawei_product")." where product_id = $productId";
		$query = $this->db->query($sql);
		if($query && $query->num_rows()>0)
		{
			return true;
		}
		return false;
	}
	
	function checkInfo($appName,$appid)
	{
		$data['appName'] = $appName;
		$product_id = $this ->  getProductId($appName);
		
		$data['productID'] = $product_id;
		$sql = "select * from ". $this->db->dbprefix("huawei_product")." where product_id =".$appid;

		$query = $this->db->query($sql);
		if($query && $query->num_rows()>0)
		{
			$data['appName'] = $query -> row() -> app_name;
			$data['packageName'] = $query -> row() -> package_name; 
			$data['developerUpdTime'] = $query -> row() -> create_time;
			$data['flag']=1;
			$data['status']=$query -> row() -> status;
			$data['appType']=1;
			
		}else{

			return false;
		}

		return $data;
	}
	
	//through parent get childtype
	function getparenttype()
	{
		$this->db->from($this->db->dbprefix('huawei_apptype_parent'));
		$query = $this->db->get();
		if($query!=null)
		{
			return $query->result_array();
		}
		return null;
	}
	
	function getchildtype($parenttype)
	{
		$table = $this->db->dbprefix('huawei_apptype_child');
		$this->db->where('parent_id',$parenttype);
		$this->db->from($table);
		
		$query = $this->db->get();
		if($query!=null && $query->num_rows()>0)
		{
			return $query->result_array();
		}
		return null;
	}
	
	function getgrandchildtype($parenttype,$childtype)
	{
		$data = array('parent_id'=>$parenttype,
				'child_id'=>$childtype);
		
		$table = $this->db->dbprefix('huawei_apptype_grandchild');
		$this->db->where($data);
		$this->db->from($table);
		$query = $this->db->get();
		if($query!=null&&$query->num_rows()>0)
		{
			return $query->result_array();
		}
		return null;
		
	}
	
	

}


