<?php
/*
 *
 */
class ApplistModel extends CI_Model {
	function __construct() {
		$this->load->database ();
		$this->load->model ( 'common' );
	}
	
	// remove array repeated key or value
	function assoc_unique($arr, $key) {
		$tmp_arr = array ();
		foreach ( $arr as $k => $v ) {
			if (in_array ( $v [$key], $tmp_arr )) {
				unset ( $arr [$k] );
			} else {
				$tmp_arr [] = $v [$key];
			}
		}
		sort ( $arr );
		return $arr;
	}
	
	function getUserKeys($userId) {
		$this->db->from ( $this->db->dbprefix ( "userkeys" ) );
		$this->db->where ( 'user_id', $userId );
		$query = $this->db->get ();
		if ($query && $query->num_rows () > 0) {
			return $query->first_row ();
		}
		return false;
	}
	
	function getUserinfo($uid){
		$sql = "select * from ".$this->db->dbprefix('userkeys')." where user_id=".$uid;
		$res = $this->db->query($sql);
		if($res!=null&& $res->num_rows()>0){
			return $res->result_array();
		}
	}
	
	function checkInfo($appName, $productid) {
		$data ['appName'] = $appName;
		$product_id = $productid;
		
		$data ['productId'] = $product_id;
		$sql = "select * from " . $this->db->dbprefix ( "huawei_product" ) . " where product_id =" . $productid;
		
		$query = $this->db->query ( $sql );
		if ($query && $query->num_rows () > 0) {
			$data ['appID'] = $query->row ()->app_id;
			$data ['appSecret'] = $query->row ()->app_secret;
			$data ['packageName'] = $query->row ()->package_name;
			$data ['activateDate'] = $query->row ()->create_time;
			$data ['flag'] = 1;
		
		} else {
			
			return false;
		}
		
		return $data;
	}
	
	
	function checkInfoPush($appName, $productid) {
		$data ['appName'] = $appName;
		$product_id = $productid;
	
		$data ['productId'] = $product_id;
		$sql = "select * from " . $this->db->dbprefix ( "huawei_product" ) . " where product_id =" . $productid." and status = 2";
	
		$query = $this->db->query ( $sql );
		if ($query && $query->num_rows () > 0) {
			$data ['appID'] = $query->row ()->app_id;
			$data ['appSecret'] = $query->row ()->app_secret;
			$data ['packageName'] = $query->row ()->package_name;
			$data ['activateDate'] = $query->row ()->create_time;
			$data ['flag'] = 1;
	
		} else {
				
			return false;
		}
	
		return $data;
	}
function getProductId($product_name)
	{	
		$sql_productId = "select * from ". $this->db->dbprefix("product")." where name ="."'$product_name'";
	
		$query_productId = $this -> db -> query($sql_productId);
		
		if($query_productId != null && $query_productId->num_rows() > 0){
			$product_id =  $query_productId ->row() -> id;
			return $product_id;
		
		}else{
			return false;
		}
	}
	
	function getProductidByAppId($app_id){
		$sql = "select * from ".$this->db->dbprefix('getui_product')." where app_id='".$app_id."';";
		$res = $this->db->query($sql); 
		if($res!=null&& $res->num_rows()>0){
			$arr = $res->result_array();
			return $arr[0]['product_id'];
		}
		return '';

	}
	
	function getProductInfo() {
		$userId = $this->common->getUserId ();
		$sql_product = "select * from " . $this->db->dbprefix ( "product" ) . " where product_platform = 1 and user_id= " . $userId;
		$applist = array ();
		$query_product = $this->db->query ( $sql_product );
		$rows_product = $query_product->num_rows ();
		if ($query_product != null && $rows_product > 0) {
			for($i = 0; $i < $rows_product; $i ++) {
				$product_name = $query_product->row ( $i )->name;
				$product_id = $query_product->row ( $i )->id;
				$product_active = $query_product->row ( $i )->active;
				if ($product_active == 0) {
				} else {
					
					$sql_getui = "select * from " . $this->db->dbprefix ( "huawei_product" ) . " where product_id =" . $product_id . " and user_id=" . $userId;
					$query_getui = $this->db->query ( $sql_getui );
					$rows_getui = $query_getui->num_rows ();
					if ($query_getui != null && $rows_getui > 0) {
						$status = $query_getui->row ()->status;
					
					} else {
						$status = 0;
					}
					
					$applist [$i] = array (
							'androidlist' => $product_name,
							'product_id' => $product_id,
							'status' => $status 
					);
				}
			}
			
			return $applist;
		}
	
	}
	
	function getApplist() {
		$sql = "select * from " . $this->db->dbprefix ( 'huawei_product' ) . " ;";
		$result = $this->db->query ( $sql );
		$re = array ();
		if ($result != null && $result->num_rows () > 0) {
			$resultarr = $result->result_array ();
			for($i = 0; $i < count ( $resultarr ); $i ++) {
				$productid = $resultarr [$i] ['product_id'];
				$sqltoapplist = "select * from " . $this->db->dbprefix ( 'product' ) . " where id=" . $productid;
				$res = $this->db->query ( $sqltoapplist );
				if ($res != null && $res->num_rows () > 0) {
					if ($resultarr [$i] ['status'] == 2) {
						$apparr = $res->result_array ();
						array_push ( $re, $apparr );
					}
				
				}
			}
		}
		return $re;
	}
	
	function getAppid($product_id) {
		if (! $product_id)
			return '';
		
		$sql = "select * from " . $this->db->dbprefix ( 'getui_product' ) . " where product_id=" . $product_id;
		$res = $this->db->query ( $sql );
		if ($res != null && $res->num_rows () > 0) {
			$arr = $res->result_array ();
			return $arr [0] ['app_id'];
		}
		return '';
	}
	
	function getappinfo($productid){
		$sql ="select * from ".$this->db->dbprefix('huawei_product')." where product_id=".$productid;
		$res = $this->db->query($sql);
		if($res!=null&& $res->num_rows()>0){
			return $res->result_array();
		}
		return null;
	}
	
	function getProductName($productid){
		$slq ="select * from ".$this->db->dbprefix('product')." where id=".$productid;
		$res = $this -> db ->query($slq);
		if($res!=null&& $res->num_rows()>0){
			$arr= $res->result_array();
			return $arr[0]['name'];
		}
	}
	
	function getProductAppkey($productid){
		$slq ="select * from ".$this->db->dbprefix('product')." where id=".$productid;
		$res = $this -> db ->query($slq);
		if($res!=null&& $res->num_rows()>0){
			$arr= $res->result_array();
			return $arr[0]['product_key'];
		}
		else
		{
			return null;
		}
	}
	
	////update product description field
	function updateProductDescription($productid,$description)
	{
		$data = array(
				'description' => $description
		);
		
		$this->db->where('id', $productid);
		$this->db->update($this->db->dbprefix('product'), $data);
		
	}
	
	function getPackageName($product_id){
		$slq ="select * from ".$this->db->dbprefix('huawei_product')." where product_id=".$product_id;
		$res = $this -> db ->query($slq);
		if($res!=null&& $res->num_rows()>0){
			$arr= $res->result_array();
			return $arr[0]['package_name'];
		}
		else {
			return null;
		}
	}
	

}